# Cloud Init Script

This script automates the setup of a virtual machine using an Ubuntu Cloud Image in Proxmox, with options to create a template and override any existing virtual machine with the same ID.

## Usage

You can execute this script directly using `curl` with the following commands:

### 1. **Default Storage (`proxmox`) and Default VM Name (`ubuntu-cloudinit2404`):**

To run the script using the default storage (`proxmox`) and the default VM name (`ubuntu-cloudinit2404`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/raw/branch/main/install.sh | bash
```

### 2. **Specify a Different Storage:**

To specify a different storage (`local`) while using the default VM name (`ubuntu-cloudinit2404`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/raw/branch/main/install.sh | bash -s -- local
```

### 3. **Specify a Different Storage and Custom VM Name:**

To specify both a different storage (`local`) and a custom VM name (`custom-vm-name`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/raw/branch/main/install.sh | bash -s -- local custom-vm-name
```

## Manual Template Creation

After configuring your VM, when you're ready, create a template using the following command:

```bash
qm template <VM_ID>
```

Where `<VM_ID>` is the ID of the VM you created (default is `8000`).

No license or contributors are defined for this script.